## juk 22.12.3

=== debian/changelog ===
juk (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:44 +0100

juk (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:33:33 +0100

juk (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:27 +0100

juk (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:48 +0100

=== debian/control ===
Source: juk
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5completion-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5globalaccel-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5jobwidgets-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5textwidgets-dev (>= 5.90.0~),
               libkf5wallet-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libopusfile-dev,
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.15.2~),
               libtag1-dev (>= 1.6),
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://juk.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git
Rules-Requires-Root: no

Package: juk
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: k3b,
Description: music jukebox / music player
 JuK is a powerful music player capable of managing a large music collection.
 .
 Some of JuK's features include:
  * Music collection, playlists, and smart playlists
  * Tag editing support, including the ability to edit multiple files at once
  * Tag-based music file organization and renaming
  * CD burning support using k3b
  * Album art using Google Image Search
 .
 This package is part of the KDE multimedia module.

## juk 23.08.1

=== debian/changelog ===
juk (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:55:41 +0100

juk (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:50:33 +0100

juk (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:30:35 +0100

juk (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:42:48 +0100

juk (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:54:03 +0100

juk (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:34:39 +0000

juk (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:11:18 -0600

juk (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:11:43 +0000

juk (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Dec 2022 15:32:38 +0000

juk (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:05:33 +0000

juk (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:01:58 +0000

juk (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:47:51 +0000

juk (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:05:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: juk
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -33,17 +34,17 @@
                libtag1-dev (>= 1.6),
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://juk.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
 Rules-Requires-Root: no
 
 Package: juk
 Section: sound
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Suggests: k3b,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: k3b
 Description: music jukebox / music player
  JuK is a powerful music player capable of managing a large music collection.
  .

## juk 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by KDE release team automatically
# https://community.kde.org/Guidelines_and_HOWTOs/Application_Versioning
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "5")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(juk VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.90.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.84.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

include(CMakePushCheckState)
include(CheckIncludeFileCXX)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Concurrent Gui Svg Network Test Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Completion
    Config
    Crash
    GlobalAccel
    I18n
    IconThemes
    DBusAddons
    DocTools
    KIO
    JobWidgets
    Notifications
    TextWidgets
    XmlGui
    Wallet
    WidgetsAddons
    WindowSystem
)
find_package(Phonon4Qt${QT_MAJOR_VERSION} 4.6.60 REQUIRED NO_MODULE)

find_package(Taglib 1.6 REQUIRED)

include_directories(${CMAKE_BINARY_DIR} ${PHONON_INCLUDES})

add_subdirectory( doc )
add_subdirectory( tests )
add_subdirectory( pics )

#set_package_properties(FEATURE PROPERTIES DESCRIPTION "A library for developing MusicBrainz enabled tagging applications" URL "https://wiki.musicbrainz.org/History:libtunepimp" TYPE OPTIONAL PURPOSE "Provides MusicBrainz tagging in Juk.")

# TODO: tunepimp is fully unsupported, replace this when tunepimp is replaced
# with whatever is actually current this decade.
set(HAVE_TUNEPIMP 0)

########### next target ###############

add_definitions(-DQT_STL -DQT_NO_URL_CAST_FROM_STRING)

configure_file (config-juk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-juk.h )

set(juk_SRCS
   advancedsearchdialog.cpp
   slider.cpp
   svghandler.cpp
   volumepopupbutton.cpp
   actioncollection.cpp
   cache.cpp
   categoryreaderinterface.cpp
   collectionlist.cpp
   coverdialog.cpp
   covericonview.cpp
   coverinfo.cpp
   covermanager.cpp
   coverproxy.cpp
   dbuscollectionproxy.cpp
   deletedialog.cpp
   directorylist.cpp
   directoryloader.cpp
   dynamicplaylist.cpp
   exampleoptions.cpp
   folderplaylist.cpp
   filehandle.cpp
   filerenamer.cpp
   filerenameroptions.cpp
   filerenamerconfigdlg.cpp
   webimagefetcher.cpp
   historyplaylist.cpp
   iconsupport.cpp
   juk.cpp
   juktag.cpp
   keydialog.cpp
   lyricswidget.cpp
   main.cpp
   mediafiles.cpp
   mpris2/mediaplayer2.cpp
   mpris2/mediaplayer2player.cpp
   mpris2/mpris2.cpp
   nowplaying.cpp
   playermanager.cpp
   playlist.cpp
   playlistbox.cpp
   playlistcollection.cpp
   playlistinterface.cpp
   playlistitem.cpp
   playlistsearch.cpp
   playlistsharedsettings.cpp
   playlistsplitter.cpp
   scrobbler.cpp
   scrobbleconfigdlg.cpp
   searchplaylist.cpp
   searchwidget.cpp
   slideraction.cpp
   statuslabel.cpp
   stringshare.cpp
   systemtray.cpp
   tageditor.cpp
   tagguesser.cpp
   tagguesserconfigdlg.cpp
   tagrenameroptions.cpp
   tagtransactionmanager.cpp
   treeviewitemplaylist.cpp
   upcomingplaylist.cpp
   viewmode.cpp )

ecm_qt_declare_logging_category(juk_SRCS HEADER juk_debug.h
                                IDENTIFIER JUK_LOG CATEGORY_NAME org.kde.juk)

qt_add_dbus_adaptor( juk_SRCS org.kde.juk.collection.xml
    dbuscollectionproxy.h DBusCollectionProxy )
qt_add_dbus_adaptor( juk_SRCS org.kde.juk.player.xml playermanager.h PlayerManager)
qt_add_dbus_adaptor( juk_SRCS org.kde.juk.search.xml searchwidget.h SearchWidget)


ki18n_wrap_ui(juk_SRCS
    filerenamerbase.ui
    filerenameroptionsbase.ui
    directorylistbase.ui
    tagguesserconfigdlgwidget.ui
    exampleoptionsbase.ui
    coverdialogbase.ui
    deletedialogbase.ui
    tageditor.ui
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-juk.png")
ecm_add_app_icon(juk_SRCS ICONS ${ICONS_SRCS})
add_executable(juk ${juk_SRCS})

kde_target_enable_exceptions(juk PRIVATE)
target_compile_definitions(juk PRIVATE QT_USE_QSTRINGBUILDER)
set_target_properties(juk PROPERTIES
    CXX_STANDARD 17
    CXX_STANDARD_REQUIRED ON
    )

if(NOT MSVC AND NOT ( WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel" ) )
    set( LIBMATH m )
endif()

target_link_libraries(juk ${LIBMATH}
    Qt::Concurrent
    Qt::Gui
    Qt::Svg
    Qt::Widgets
    Qt::Network
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::Completion
    KF5::Crash
    KF5::DBusAddons
    KF5::GlobalAccel
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::KIOFileWidgets
    KF5::JobWidgets
    KF5::Notifications
    KF5::I18n
    KF5::IconThemes
    KF5::TextWidgets
    KF5::XmlGui
    KF5::WindowSystem
    KF5::WidgetsAddons
    KF5::Wallet
    Phonon::phonon4qt${QT_MAJOR_VERSION}
    Taglib::Taglib
)

if(TUNEPIMP_FOUND)
    target_link_libraries(juk ${TUNEPIMP_LIBRARIES})
endif(TUNEPIMP_FOUND)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

install(TARGETS juk  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( PROGRAMS org.kde.juk.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES jukui.rc jukui-rtl.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/juk )
install(
    FILES juk.notifyrc
    DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR}
)

install( FILES org.kde.juk.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )
install( PROGRAMS jukservicemenu.desktop  DESTINATION ${KDE_INSTALL_DATADIR}/kio/servicemenus )
install( FILES org.kde.juk.collection.xml org.kde.juk.player.xml org.kde.juk.search.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} )

ki18n_install(po)
kdoctools_install(po)

ecm_install_icons(ICONS
    128-apps-juk.png
    16-apps-juk.png
    32-apps-juk.png
    48-apps-juk.png
    64-apps-juk.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== tests/CMakeLists.txt ===
include(ECMAddTests)

# Simple unit tests of guessing tags from a filename
ecm_add_test("${CMAKE_SOURCE_DIR}/tagguesser.cpp" tagguessertest.cpp
    LINK_LIBRARIES Qt::Test KF5::ConfigCore KF5::CoreAddons
    TEST_NAME tagguessertest)
target_include_directories(tagguessertest PRIVATE ${CMAKE_SOURCE_DIR})

=== debian/changelog ===
juk (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:00:48 +1100

juk (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:39:50 +0000

juk (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:33:06 -0700

juk (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:11:58 +0000

juk (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:31:10 +0000

juk (4:23.08.2-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 27 Oct 2023 13:07:15 +0100

juk (4:23.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).

 -- Jesse Rhodes <jesse@sney.ca>  Sat, 21 Oct 2023 13:13:39 -0400

juk (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:27:32 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libtag1-dev (>= 1.6),
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://juk.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
@@ -43,8 +43,8 @@
 Package: juk
 Section: sound
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: k3b
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Suggests: k3b,
 Description: music jukebox / music player
  JuK is a powerful music player capable of managing a large music collection.
  .

## juk 24.08.2

=== debian/changelog ===
juk (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:51:22 -0500

juk (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Build against Qt6 / KF6, update build-deps and deps with the info from
    cmake.
  * Switch dh build sequence to kf6.
  * Move away from pkg-config transitive build dependency.
  * Bump Standards-Version to 4.7.0, no change required.
  * Fix permissions of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 17:26:36 +0200

=== debian/control ===
Source: juk
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6completion-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6globalaccel-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6iconthemes-dev (>= 5.240.0~),
               libkf6jobwidgets-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkf6statusnotifieritem-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6wallet-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libopusfile-dev,
               libphonon4qt6experimental-dev,
               libphonon4qt6-dev (>= 4:4.6.60~),
               libqt5svg5-dev (>= 5.15.2~),
               libtag1-dev (>= 1.6),
               pkgconf,
               qt6-base-dev,
               qt6-svg-dev,
Standards-Version: 4.7.0
Homepage: https://juk.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
Rules-Requires-Root: no

Package: juk
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: k3b,
Description: music jukebox / music player
 JuK is a powerful music player capable of managing a large music collection.
 .
 Some of JuK's features include:
  * Music collection, playlists, and smart playlists
  * Tag editing support, including the ability to edit multiple files at once
  * Tag-based music file organization and renaming
  * CD burning support using k3b
  * Album art using Google Image Search
 .
 This package is part of the KDE multimedia module.

## juk 24.08.3

=== debian/changelog ===
juk (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:36:15 +0000

## juk 24.11.80

=== debian/changelog ===
juk (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 14:48:02 +0000

## juk 24.11.90

=== debian/changelog ===
juk (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:02:49 +0000

## juk 24.12.0

=== debian/changelog ===
juk (4:24.12.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against taglib 2.0.2.
  * debian/control: Update build-dependency package name:
    + libtag1-dev => libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 21:40:32 -0500

juk (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 23:10:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: juk
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libkf6completion-dev (>= 5.240.0~),
@@ -29,17 +28,17 @@
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
                libopusfile-dev,
+               libphonon4qt6-dev (>= 4:4.6.60~),
                libphonon4qt6experimental-dev,
-               libphonon4qt6-dev (>= 4:4.6.60~),
                libqt5svg5-dev (>= 5.15.2~),
-               libtag1-dev (>= 1.6),
+               libtag-dev (>= 1.6),
                pkgconf,
                qt6-base-dev,
                qt6-svg-dev,
 Standards-Version: 4.7.0
 Homepage: https://juk.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git
 Rules-Requires-Root: no
 
 Package: juk

## juk 24.12.1

=== debian/changelog ===
juk (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:25:26 +0000

juk (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:04:12 +0000

## juk 24.12.2

=== debian/changelog ===
juk (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:11:11 +0000

## juk 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,18 +2,18 @@
 
 # KDE Application Version, managed by KDE release team automatically
 # https://community.kde.org/Guidelines_and_HOWTOs/Application_Versioning
-set (RELEASE_SERVICE_VERSION_MAJOR "23")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "5")
+set (RELEASE_SERVICE_VERSION_MAJOR "24")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(juk VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.90.0")
+set(KF6_MIN_VERSION "5.240.0")
+# Any higher and many Qt keywords get disabled
 set(KDE_COMPILERSETTINGS_LEVEL "5.84.0")
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
 
 include(CMakePushCheckState)
@@ -26,8 +26,8 @@
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Concurrent Gui Svg Network Test Widgets)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Concurrent Gui Svg Network Test Widgets)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons
     Completion
     Config
@@ -45,12 +45,11 @@
     Wallet
     WidgetsAddons
     WindowSystem
-)
-find_package(Phonon4Qt${QT_MAJOR_VERSION} 4.6.60 REQUIRED NO_MODULE)
+    StatusNotifierItem
+)
+find_package(Phonon4Qt6 4.6.60 REQUIRED NO_MODULE)
 
 find_package(Taglib 1.6 REQUIRED)
-
-include_directories(${CMAKE_BINARY_DIR} ${PHONON_INCLUDES})
 
 add_subdirectory( doc )
 add_subdirectory( tests )
@@ -68,7 +67,7 @@
 
 configure_file (config-juk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-juk.h )
 
-set(juk_SRCS
+add_executable(juk
    advancedsearchdialog.cpp
    slider.cpp
    svghandler.cpp
@@ -77,11 +76,7 @@
    cache.cpp
    categoryreaderinterface.cpp
    collectionlist.cpp
-   coverdialog.cpp
-   covericonview.cpp
    coverinfo.cpp
-   covermanager.cpp
-   coverproxy.cpp
    dbuscollectionproxy.cpp
    deletedialog.cpp
    directorylist.cpp
@@ -93,7 +88,6 @@
    filerenamer.cpp
    filerenameroptions.cpp
    filerenamerconfigdlg.cpp
-   webimagefetcher.cpp
    historyplaylist.cpp
    iconsupport.cpp
    juk.cpp
@@ -130,31 +124,37 @@
    tagtransactionmanager.cpp
    treeviewitemplaylist.cpp
    upcomingplaylist.cpp
-   viewmode.cpp )
-
-ecm_qt_declare_logging_category(juk_SRCS HEADER juk_debug.h
+   viewmode.cpp
+
+   juk.qrc
+)
+
+ecm_qt_declare_logging_category(juk HEADER juk_debug.h
                                 IDENTIFIER JUK_LOG CATEGORY_NAME org.kde.juk)
 
-qt_add_dbus_adaptor( juk_SRCS org.kde.juk.collection.xml
+set(JUK_DBUS_SRC "")
+
+qt_add_dbus_adaptor(JUK_DBUS_SRC org.kde.juk.collection.xml
     dbuscollectionproxy.h DBusCollectionProxy )
-qt_add_dbus_adaptor( juk_SRCS org.kde.juk.player.xml playermanager.h PlayerManager)
-qt_add_dbus_adaptor( juk_SRCS org.kde.juk.search.xml searchwidget.h SearchWidget)
-
-
-ki18n_wrap_ui(juk_SRCS
+qt_add_dbus_adaptor(JUK_DBUS_SRC org.kde.juk.player.xml playermanager.h PlayerManager)
+qt_add_dbus_adaptor(JUK_DBUS_SRC org.kde.juk.search.xml searchwidget.h SearchWidget)
+
+target_sources(juk PRIVATE ${JUK_DBUS_SRC})
+
+ki18n_wrap_ui(juk
     filerenamerbase.ui
     filerenameroptionsbase.ui
     directorylistbase.ui
     tagguesserconfigdlgwidget.ui
     exampleoptionsbase.ui
-    coverdialogbase.ui
     deletedialogbase.ui
     tageditor.ui
 )
 
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-juk.png")
-ecm_add_app_icon(juk_SRCS ICONS ${ICONS_SRCS})
-add_executable(juk ${juk_SRCS})
+ecm_add_app_icon(juk ICONS ${ICONS_SRCS})
+
+target_include_directories(juk SYSTEM PRIVATE ${CMAKE_BINARY_DIR} ${PHONON_INCLUDES})
 
 kde_target_enable_exceptions(juk PRIVATE)
 target_compile_definitions(juk PRIVATE QT_USE_QSTRINGBUILDER)
@@ -173,25 +173,26 @@
     Qt::Svg
     Qt::Widgets
     Qt::Network
-    KF5::ConfigCore
-    KF5::CoreAddons
-    KF5::Completion
-    KF5::Crash
-    KF5::DBusAddons
-    KF5::GlobalAccel
-    KF5::KIOCore
-    KF5::KIOWidgets
-    KF5::KIOFileWidgets
-    KF5::JobWidgets
-    KF5::Notifications
-    KF5::I18n
-    KF5::IconThemes
-    KF5::TextWidgets
-    KF5::XmlGui
-    KF5::WindowSystem
-    KF5::WidgetsAddons
-    KF5::Wallet
-    Phonon::phonon4qt${QT_MAJOR_VERSION}
+    KF6::ConfigCore
+    KF6::CoreAddons
+    KF6::Completion
+    KF6::Crash
+    KF6::DBusAddons
+    KF6::GlobalAccel
+    KF6::KIOCore
+    KF6::KIOWidgets
+    KF6::KIOFileWidgets
+    KF6::JobWidgets
+    KF6::Notifications
+    KF6::I18n
+    KF6::IconThemes
+    KF6::TextWidgets
+    KF6::XmlGui
+    KF6::WindowSystem
+    KF6::WidgetsAddons
+    KF6::Wallet
+    KF6::StatusNotifierItem
+    Phonon::phonon4qt6
     Taglib::Taglib
 )
 
@@ -206,7 +207,6 @@
 ########### install files ###############
 
 install( PROGRAMS org.kde.juk.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
-install( FILES jukui.rc jukui-rtl.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/juk )
 install(
     FILES juk.notifyrc
     DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR}

=== debian/changelog ===
juk (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:36:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: juk
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libkf6completion-dev (>= 5.240.0~),
@@ -31,14 +32,14 @@
                libphonon4qt6-dev (>= 4:4.6.60~),
                libphonon4qt6experimental-dev,
                libqt5svg5-dev (>= 5.15.2~),
-               libtag-dev (>= 1.6),
+               libtag1-dev (>= 1.6),
                pkgconf,
                qt6-base-dev,
                qt6-svg-dev,
 Standards-Version: 4.7.0
 Homepage: https://juk.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
 Rules-Requires-Root: no
 
 Package: juk

## juk 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 # KDE Application Version, managed by KDE release team automatically
 # https://community.kde.org/Guidelines_and_HOWTOs/Application_Versioning
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(juk VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
juk (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:55:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: juk
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libkf6completion-dev (>= 5.240.0~),
@@ -32,14 +31,15 @@
                libphonon4qt6-dev (>= 4:4.6.60~),
                libphonon4qt6experimental-dev,
                libqt5svg5-dev (>= 5.15.2~),
-               libtag1-dev (>= 1.6),
+               libtag-dev (>= 1.6),
+               libtag1-dev (>= 1.6~),
                pkgconf,
                qt6-base-dev,
                qt6-svg-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://juk.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git
 Rules-Requires-Root: no
 
 Package: juk

## juk 25.04.1

=== debian/changelog ===
juk (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:01:32 +0100

juk (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:42:41 +0100

## juk 25.04.2

=== debian/changelog ===
juk (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:38:39 +0100

## juk 25.04.3

=== debian/changelog ===
juk (4:25.04.3-0zneon+24.04+noble+release+build16) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 11:06:00 +0000

juk (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:41:33 +0000

juk (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:56:21 +0000

juk (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:46:54 +0000

juk (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:34:23 +0000

juk (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:03:40 +0000

juk (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:02:48 +0000

juk (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:53:37 +0000

juk (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:50:48 +0000

juk (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:51:08 +0000

juk (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:28:17 +0000

juk (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:03:40 +0000

juk (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:12:33 +0000

juk (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:49:30 +0000

juk (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:15:37 +0000

juk (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:02:34 +0000

juk (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:56:57 +0000

juk (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:37:59 +0000

juk (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 12:19:27 +0000

juk (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:14:45 +0000

juk (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 20:40:29 +0000

juk (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:44:15 +0000

juk (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:12:03 +0000

juk (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:00:57 +0000

juk (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:29:09 +0000

juk (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:06:27 +0000

juk (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:12:19 +0000

juk (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:34:47 +0000

juk (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:06:28 +0000

juk (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:36:30 +0000

juk (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:23:15 +0000

juk (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:49:08 +0000

juk (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:42:42 +0000

juk (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:53:31 +0000

juk (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:02:27 +0000

juk (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:00:22 +0000

juk (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:41:26 +0000

juk (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:25 +0000

juk (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:41:51 +0000

juk (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:48:45 +0000

juk (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 12:01:06 +0000

juk (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:51:56 +0000

juk (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:20:09 +0000

juk (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:56:49 +0000

juk (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:12:14 +0000

juk (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:23:59 +0000

juk (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:32:07 +0000

juk (4:20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:05:04 +0000

juk (4:20.08.2-0neon) focal; urgency=medium



=== debian/control ===
Source: juk
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               libopusfile-dev,
               libtag1-dev (>= 1.6),
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-phonon-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/juk.git
Vcs-Browser: https://invent.kde.org/neon/kde/juk
Maintainer: Neon CI <neon@kde.org>

Package: juk
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: k3b
Description: music jukebox / music player
 JuK is a powerful music player capable of managing a large music collection.
 .
 Some of JuK's features include:
  * Music collection, playlists, and smart playlists
  * Tag editing support, including the ability to edit multiple files at once
  * Tag-based music file organization and renaming
  * CD burning support using k3b
  * Album art using Google Image Search
 .
 This package is part of the KDE multimedia module.

## juk 25.07.80

=== debian/changelog ===
juk (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Build depend on qt6-multimedia-dev
  * Drop phonon build depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:03:27 +0100

juk (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:36:59 +0100

## juk 25.07.90

=== debian/changelog ===
juk (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:29:08 +0100

## juk 25.08.0

=== debian/changelog ===
juk (4:25.08.0-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 17:51:54 +0000

juk (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:04:29 +0000

## juk 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # KDE Application Version, managed by KDE release team automatically
 # https://community.kde.org/Guidelines_and_HOWTOs/Application_Versioning
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(juk VERSION ${RELEASE_SERVICE_VERSION})
@@ -26,7 +26,7 @@
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
 
-find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Concurrent Gui Svg Network Test Widgets)
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Concurrent Gui Svg Multimedia Network Test Widgets)
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons
     Completion
@@ -47,7 +47,6 @@
     WindowSystem
     StatusNotifierItem
 )
-find_package(Phonon4Qt6 4.6.60 REQUIRED NO_MODULE)
 
 find_package(Taglib 1.6 REQUIRED)
 
@@ -154,8 +153,6 @@
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-juk.png")
 ecm_add_app_icon(juk ICONS ${ICONS_SRCS})
 
-target_include_directories(juk SYSTEM PRIVATE ${CMAKE_BINARY_DIR} ${PHONON_INCLUDES})
-
 kde_target_enable_exceptions(juk PRIVATE)
 target_compile_definitions(juk PRIVATE QT_USE_QSTRINGBUILDER)
 set_target_properties(juk PROPERTIES
@@ -172,6 +169,7 @@
     Qt::Gui
     Qt::Svg
     Qt::Widgets
+    Qt::Multimedia
     Qt::Network
     KF6::ConfigCore
     KF6::CoreAddons
@@ -192,7 +190,6 @@
     KF6::WidgetsAddons
     KF6::Wallet
     KF6::StatusNotifierItem
-    Phonon::phonon4qt6
     Taglib::Taglib
 )

=== debian/changelog ===
juk (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:50:52 +0100

juk (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:20:07 +0100

=== debian/control ===
Source: juk
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6completion-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6globalaccel-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6iconthemes-dev (>= 5.240.0~),
               libkf6jobwidgets-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkf6statusnotifieritem-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6wallet-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libopusfile-dev,
               libqt5svg5-dev (>= 5.15.2~),
               libtag1-dev (>= 1.6),
               pkgconf,
               qt6-base-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
Standards-Version: 4.7.0
Homepage: https://juk.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
Rules-Requires-Root: no

Package: juk
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: k3b,
Description: music jukebox / music player
 JuK is a powerful music player capable of managing a large music collection.
 .
 Some of JuK's features include:
  * Music collection, playlists, and smart playlists
  * Tag editing support, including the ability to edit multiple files at once
  * Tag-based music file organization and renaming
  * CD burning support using k3b
  * Album art using Google Image Search
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_fixperms-arch:
	chmod -x $(CURDIR)/debian/juk/usr/share/kio/servicemenus/*.desktop

## juk 25.08.1+p24.04+vstable+git20250917.0024

=== debian/changelog ===
juk (4:25.08.1+p24.04+vstable+git20250917.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Sep 2025 00:24:36 +0000

juk (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:29:21 +0000

## juk 25.08.1+p24.04+vstable+git20251001.0450

=== debian/changelog ===
juk (4:25.08.1+p24.04+vstable+git20251001.0450-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 04:50:27 +0000
